| CMSIS-RTOS Version 1.00 CMSIS-RTOS API: Generic RTOS interface for Cortex-M processor-based devices.

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

Here is a list of all struct and union fields with links to the structures/unions they belong to:

- def : osEvent
- dummy : osSemaphoreDef_t , osMutexDef_t
- instances : osThreadDef_t
- item_sz : osMailQDef_t , osMessageQDef_t , osPoolDef_t
- mail_id : osEvent
- message_id : osEvent
- p : osEvent
- pool : osPoolDef_t , osMailQDef_t , osMessageQDef_t
- pool_sz : osPoolDef_t
- pthread : osThreadDef_t
- ptimer : osTimerDef_t
- queue_sz : osMessageQDef_t , osMailQDef_t
- signals : osEvent
- stacksize : osThreadDef_t
- status : osEvent
- tpriority : osThreadDef_t
- v : osEvent
- value : osEvent